package com.yanzuoguang.util.table;


/**
 * 列头
 */
public class TableHeadItem {
    /**
     * 最高级别
     */
    private String Name;

    /**
     * 路径
     */
    private String Path;

    /**
     * 级别
     */
    private int Level;

    /**
     * 当前列的最大级别
     */
    private int LevelMax;

    /**
     * 第几行
     */
    private int Row;

    /**
     * 合并多少行
     */
    private int RowCell;

    /**
     * 第几列
     */
    private int Column;

    /**
     * 合并多少列
     */
    private int ColumnCell;

    /**
     * 是否属于数据列
     */
    private boolean dataColumn;

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getPath() {
        return Path;
    }

    public void setPath(String path) {
        Path = path;
    }

    public int getLevel() {
        return Level;
    }

    public void setLevel(int level) {
        Level = level;
    }

    public int getLevelMax() {
        return LevelMax;
    }

    public void setLevelMax(int levelMax) {
        LevelMax = levelMax;
    }

    public int getRow() {
        return Row;
    }

    public void setRow(int row) {
        Row = row;
    }

    public int getRowCell() {
        return RowCell;
    }

    public void setRowCell(int rowCell) {
        RowCell = rowCell;
    }

    public int getColumn() {
        return Column;
    }

    public void setColumn(int column) {
        Column = column;
    }

    public int getColumnCell() {
        return ColumnCell;
    }

    public void setColumnCell(int columnCell) {
        ColumnCell = columnCell;
    }

    public boolean isDataColumn() {
        return dataColumn;
    }

    public void setDataColumn(boolean dataColumn) {
        dataColumn = dataColumn;
    }
}
